﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.UltraChart.Resources;
using System.Collections;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form, IRenderLabel
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable table = new DataTable();
            table.Columns.Add("Week#");
            table.Columns.Add("ActiveX", typeof(int));
            table.Columns.Add("Java", typeof(int));
            table.Columns.Add("NET", typeof(int));

            table.Rows.Add(new object[] { "Week 1", 25, 85, 65 });
            table.Rows.Add(new object[] { "Week 2", 15, 200, 95 });
            table.Rows.Add(new object[] { "Week 3", 100, 45, 110 });
            table.Rows.Add(new object[] { "Week 4", 120, 75, 99 });
            table.Rows.Add(new object[] { "Week 5", 60, 113, 50 });
            this.ultraChart1.DataSource = table;

            // This code demonstrates how you can get the tooltip to display the item's value instead of the aggregate value
            //=================================
            //this.ultraChart1.Tooltips.FormatString = "<DATA_VALUE_ITEM>";
            //=================================


            // This code along with the IRenderLabel interface implementation below demonstrates how you can customize what is displayed in the tooltip.
            //========================================
            var hashtable = new Hashtable();
            hashtable.Add("CUSTOM_TOOLTIP", this);
            this.ultraChart1.LabelHash = hashtable;
            this.ultraChart1.Tooltips.Format = Infragistics.UltraChart.Shared.Styles.TooltipStyle.Custom;
            this.ultraChart1.Tooltips.FormatString = "<CUSTOM_TOOLTIP>";
            //========================================
        }

        string IRenderLabel.ToString(System.Collections.Hashtable context)
        {            
                double dataValue = (double)context["DATA_VALUE_ITEM"];
                if (dataValue > 150)
                        return dataValue.ToString() + " [Very High]";
                else if (dataValue > 100)
                        return dataValue.ToString() + " [High]";
                else if (dataValue > 75)
                        return dataValue.ToString() + " [Medium]";
                else if (dataValue >= 50)
                        return dataValue.ToString() + " [Low]";
                else            
                        return dataValue.ToString() + " [Negative]";
        }
    }
}
